Skip to main content
`Ctrl`+`K`

# PetscSectionGetMaxDof

Return the maximum number of degrees of freedom on any point in the `PetscSection`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetMaxDof(PetscSection s, PetscInt *maxDof)

Not Collective

## Input Parameter

- s - the `PetscSection`

## Output Parameter

- maxDof - the maximum dof

## Notes

The returned number is up-to-date without need for `PetscSectionSetUp()`.

This is the maximum over all points of the sum of the number of dof in the unnamed default field plus all named fields. This is equivalent to the maximum over all points of the value returned by `PetscSectionGetDof()` on this MPI process

## Developer Notes

The returned number is calculated lazily and stashed.

A call to `PetscSectionInvalidateMaxDof_Internal()` invalidates the stashed value.

`PetscSectionInvalidateMaxDof_Internal()` is called in `PetscSectionSetDof()`, `PetscSectionAddDof()` and `PetscSectionReset()`

It should also be called every time `atlasDof` is modified directly.

## See Also

PetscSection, `PetscSection`, `PetscSectionGetDof()`, `PetscSectionSetDof()`, `PetscSectionAddDof()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages